#include "NotePanel.h"
#include "UNote.h"
#include "stdlib.h"


#include <ScrollView.h>

NotePanel::NotePanel(UNote* cls):BBox(BRect(0,0,200,250)),
m_note(cls)
{
	BRect r(Bounds());
	
	r.InsetBy(5,5);
	r.right -=15;
	r.bottom -=15;
	
	BRect r2(r);
	r2.right -=5;
	
	tv=new BTextView(r,NULL,r2,B_FOLLOW_NONE,B_WILL_DRAW);
	tv->SetStylable(true);
	if(m_note)
	if(m_note->tra)
	tv->SetText(m_note->note_text.String(),BTextView::UnflattenRunArray(m_note->tra));	
	else
	tv->SetText(m_note->note_text.String());	
	tv->MakeFocus(false);
	AddChild(new BScrollView("",tv,B_FOLLOW_LEFT|B_FOLLOW_TOP,0,true,true));
}

void
NotePanel::AttachedToWindow()
{
tv->MakeFocus(false);	
}

void
NotePanel::DetachedFromWindow()
{
	if(m_note){
	
	m_note->note_text=tv->Text();
	if(m_note->tra!=NULL) free(m_note->tra);
	m_note->tra=BTextView::FlattenRunArray(tv->RunArray(0,tv->TextLength()));
	
	}
}
