#include "MainWindow.h"

#include <Application.h>
#include <MenuBar.h>
#include <MenuItem.h>
#include <ScrollView.h>

#include <stdio.h>
#include <stdlib.h>
#include <strings.h>

#include "MyBox.h"
#include "DiagramEndPoint.h"
#include "MyEndPoint.h"
#include "MediaWire.h"
#include "MyResizer.h"
#include "WireManager.h"



#include <Font.h>
//#include "ClassTriple.h"
//#include "NoteTriple.h"
#include "TripleManager.h"


WireManager*	wire_manager;
TripleManager*	triple_manager;

rgb_color blue;

#define DEF_WIRE  'defw'

BMenu *menuMea;
MyBox *dv;


MainWindow::MainWindow() :
	BWindow(BRect(450,30,830,164),"Main", B_DOCUMENT_WINDOW,0)
{

	wire_manager=new WireManager();
	triple_manager=new TripleManager();
		
	BMenuBar* 
	menuRel = new BMenuBar(BRect(0,0,99,99), "Menu Bar",B_FOLLOW_LEFT,B_ITEMS_IN_COLUMN,true);
	
	
	
	BMenu *tmenu;
	tmenu=wire_manager->CreateDefaultWiresMenu();
	tmenu->ItemAt(0)->SetMarked(true);
	tmenu->SetName("relations");
	wire_manager->SetDefaultWire(0);
	
	BMenuItem* nono;
	menuRel->AddSeparatorItem();
	menuRel->AddItem(nono=new BMenuItem(tmenu));
	menuRel->AddSeparatorItem();
	menuRel->AddItem(new BMenuItem("add a class",new BMessage('clas')));
	menuRel->AddItem(new BMenuItem("add a note",new BMessage('note')));
	
	
	float menuY, menuX;
	
	
	//nono->SetMarked(true);
	
	AddChild(menuRel); 
	menuRel->GetPreferredSize(&menuX,&menuY);	
	
	
	BRect in=Bounds();
	in.left +=menuX+2;
	in.right -= 14; //B_SCROLLBAR_WIDTH;
	in.bottom -=14;
	dv=new MyBox(in);
	
		
	/*StructTriple*	ct=triple_manager->getTriple("caso:class");
	UStruct*		us=ct->createStruct();
	StructBox*		sb=ct->createStructBox(BRect(10,10,100,50));
	
	sb->setStruct(us);
	dv->addItem(sb);*/
	
	addBox("caso:class");


	AddChild(new BScrollView("zip",dv,B_FOLLOW_ALL_SIDES ,0,true,true));
}

bool
MainWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}
void
MainWindow::MessageReceived(BMessage* message)
{
	switch(message->what)
	{
		case 'clas':
		
				addBox("caso:class");
 		break;
 		case 'note':
				addBox("caso:note");
		break;
		case DEF_WIRE:
			wire_manager->SetDefaultWire(message->FindInt32("index"));
		break;
		default:
		BWindow::MessageReceived(message);
		break;
	
	}	
}

void
MainWindow::addBox(const char* hash)
{
				StructTriple*	ct=triple_manager->getTriple(hash);
				UStruct*		us=ct->createStruct();
				StructBox*		sb=ct->createStructBox(BRect(10,10,100,50));
	
				sb->setStruct(us);
				dv->addItem(sb);
				dv->selectItem(sb,true);
				BMessage *newmes=new BMessage('refr');
				newmes->AddPointer("fromBox",(void*)sb);
				PostMessage(newmes,dv);
}