#include "InfoStructWindow.h"

#include <Box.h>
#include <Button.h>
#include <Looper.h>

InfoStructWindow::InfoStructWindow(BView *v,BPoint p,BHandler* h,BMessage* ms):
BWindow(v->Frame(),"Properties",B_FLOATING_WINDOW_LOOK,B_MODAL_APP_WINDOW_FEEL,B_NOT_RESIZABLE | B_NOT_ZOOMABLE | B_ASYNCHRONOUS_CONTROLS),
m_hand(h),m_mess(ms),m_view(v)
{
	MoveTo(p);
	AddChild(v);
  	Show();
}
bool
InfoStructWindow::QuitRequested()
{
	RemoveChild(m_view);
	if(m_hand && m_mess)
		m_hand->Looper()->PostMessage(m_mess,m_hand);
	return true;
}