// MediaRoutingDefs.h
// c.lenz 9oct99
//
// Constants used in MediaRoutingView and friends:
// - Colors
// - Cursors
//
// HISTORY
// 6oct99	c.lenz		Begun
// 

#ifndef __MediaRoutingDefs_H__
#define __MediaRoutingDefs_H__

#include "cortex_defs.h"
__BEGIN_CORTEX_NAMESPACE

// -------------------------------------------------------- //
// *** cursors
// -------------------------------------------------------- //

const unsigned char M_CABLE_CURSOR [] = {
// PREAMBLE
  16,   1,   0,   0,
// BITMAP
    128,0,
    192,0,
    160,0,
    144,0,
    136,0,
    132,0,
    130,0,
    129,0,
    128,128,
    128,192,
    131,0,
    140,0,
    176,0,
    192,0,
    0,0,
    0,0,
    //mask
    128,0,
    192,0,
    224,0,
    240,0,
    248,0,
    252,0,
    254,0,
    255,0,
    255,128,
    255,192,
    255,0,
    252,0,
    240,0,
    192,0,
    0,0,
    0,0
    
};

__END_CORTEX_NAMESPACE
#endif /* __MediaRoutingDefs_H__ */
