#include "TripleManager.h"

#include "ClassTriple.h"
#include "NoteTriple.h"

ClassTriple* ct;
NoteTriple *nt;

TripleManager::TripleManager():BMessage()
{
	ct=new ClassTriple();
	insertTriples(ct);
	nt=new NoteTriple();
	insertTriples(nt);
}

void
TripleManager::insertTriples(StructTriple* st)
{
	AddPointer(st->getStringID(),(void*)st);
}
StructTriple*
TripleManager::getTriple(const char* hash)
{
	PrintToStream();
	StructTriple* st;
	if(FindPointer(hash,(void**)&st)!=B_OK) st=NULL;
	return st;
}