#include "MyItem.h"
#include "UClass.h"

#define 	REZ		4
#define	LIN		10

MyItem::MyItem(BRect r,UClass* cls):DiagramBox(r){
	
	m_class=cls;
	// linker
	addItem(new LinkPoint(BRect(r.left,r.top+2,r.left+LIN,r.top+2+LIN)));
	// resizer
	addItem(new MyResizer(BRect(r.right-REZ,r.bottom-REZ,r.right,r.bottom)));
	
	r.InsetBy(r.Width()/2-1,r.Height()/2-1);
	center_point=new MyEndPoint(r);
	addItem(center_point);
	
	m_m=r.Height()/r.Width();	
}


void
MyItem::drawBox(){




	view()->SetHighColor(255,255,255); 
	 	
		view()->FillRect(frame()); 
			
		if(isSelected())
		 
			view()->SetHighColor(255,0,0); 
		else
			view()->SetHighColor(0,0,0);
		
		
			if(m_class)
				view()->DrawString(m_class->class_name.String(),frame().LeftTop()+BPoint(15,15));
		view()->StrokeRect(frame());
		
}

void 
MyItem::resizeBy(float horizontal,float vertical)
{
	DiagramBox::resizeBy(horizontal,vertical);
	center_point->moveBy(horizontal/2.0,vertical/2.0,0);
	m_m=frame().Height()/frame().Width();	
}